## mandos 1.5.3

=== Makefile ===
WARN=-O -Wall -Wformat=2 -Winit-self -Wmissing-include-dirs \
	-Wswitch-default -Wswitch-enum -Wunused-parameter \
	-Wstrict-aliasing=1 -Wextra -Wfloat-equal -Wundef -Wshadow \
	-Wunsafe-loop-optimizations -Wpointer-arith \
	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
	-Wconversion -Wstrict-prototypes -Wold-style-definition \
	-Wpacked -Wnested-externs -Winline -Wvolatile-register-var
#	-Wunreachable-code
#DEBUG=-ggdb3
# For info about _FORTIFY_SOURCE, see
# <http://www.kernel.org/doc/man-pages/online/pages/man7/feature_test_macros.7.html>
# and <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
LINK_FORTIFY_LD=-z relro -z now
LINK_FORTIFY=

# If BROKEN_PIE is set, do not build with -pie
ifndef BROKEN_PIE
FORTIFY += -fPIE
LINK_FORTIFY += -pie
endif
#COVERAGE=--coverage
OPTIMIZE=-Os
LANGUAGE=-std=gnu99
htmldir=man
version=1.5.3
SED=sed

USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
GROUP=$(firstword $(subst :, ,$(shell getent group _mandos || getent group nobody || echo 65534)))

## Use these settings for a traditional /usr/local install
# PREFIX=$(DESTDIR)/usr/local
# CONFDIR=$(DESTDIR)/etc/mandos
# KEYDIR=$(DESTDIR)/etc/mandos/keys
# MANDIR=$(PREFIX)/man
# INITRAMFSTOOLS=$(DESTDIR)/etc/initramfs-tools
# STATEDIR=$(DESTDIR)/var/lib/mandos
##

## These settings are for a package-type install
PREFIX=$(DESTDIR)/usr
CONFDIR=$(DESTDIR)/etc/mandos
KEYDIR=$(DESTDIR)/etc/keys/mandos
MANDIR=$(PREFIX)/share/man
INITRAMFSTOOLS=$(DESTDIR)/usr/share/initramfs-tools
STATEDIR=$(DESTDIR)/var/lib/mandos
##

GNUTLS_CFLAGS=$(shell pkg-config --cflags-only-I gnutls)
GNUTLS_LIBS=$(shell pkg-config --libs gnutls)
AVAHI_CFLAGS=$(shell pkg-config --cflags-only-I avahi-core)
AVAHI_LIBS=$(shell pkg-config --libs avahi-core)
GPGME_CFLAGS=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
GPGME_LIBS=$(shell gpgme-config --libs; getconf LFS_LIBS; \
	getconf LFS_LDFLAGS)

# Do not change these two
CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
	-DVERSION='"$(version)"'
LDFLAGS=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))

# Commands to format a DocBook <refentry> document into a manual page
DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \
	--param man.charmap.use.subset		0 \
	--param make.year.ranges		1 \
	--param make.single.year.ranges		1 \
	--param man.output.quietly		1 \
	--param man.authors.section.enabled	0 \
	 /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	$(notdir $<); \
	$(MANPOST) $(notdir $@);\
	LANG=en_US.UTF-8 MANWIDTH=80 man --warnings --encoding=UTF-8 \
	--local-file $(notdir $@) >/dev/null)
# DocBook-to-man post-processing to fix a '\n' escape bug
MANPOST=$(SED) --in-place --expression='s,\\\\en,\\en,g;s,\\n,\\en,g'

DOCBOOKTOHTML=$(strip xsltproc --nonet --xinclude \
	--param make.year.ranges		1 \
	--param make.single.year.ranges		1 \
	--param man.output.quietly		1 \
	--param man.authors.section.enabled	0 \
	--param citerefentry.link		1 \
	--output $@ \
	/usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl \
	$<; $(HTMLPOST) $@)
# Fix citerefentry links
HTMLPOST=$(SED) --in-place \
	--expression='s/\(<a class="citerefentry" href="\)\("><span class="citerefentry"><span class="refentrytitle">\)\([^<]*\)\(<\/span>(\)\([^)]*\)\()<\/span><\/a>\)/\1\3.\5\2\3\4\5\6/g'

PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo \
	plugins.d/plymouth
CPROGS=plugin-runner $(PLUGINS)
PROGS=mandos mandos-keygen mandos-ctl mandos-monitor $(CPROGS)
DOCS=mandos.8 mandos-keygen.8 mandos-monitor.8 mandos-ctl.8 \
	mandos.conf.5 mandos-clients.conf.5 plugin-runner.8mandos \
	plugins.d/mandos-client.8mandos \
	plugins.d/password-prompt.8mandos plugins.d/usplash.8mandos \
	plugins.d/splashy.8mandos plugins.d/askpass-fifo.8mandos \
	plugins.d/plymouth.8mandos intro.8mandos

htmldocs=$(addsuffix .xhtml,$(DOCS))

objects=$(addsuffix .o,$(CPROGS))

all: $(PROGS) mandos.lsm

doc: $(DOCS)

html: $(htmldocs)

%.5: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.5.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

%.8: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.8.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

%.8mandos: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
%.8mandos.xhtml: %.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

intro.8mandos: intro.xml common.ent legalnotice.xml
	$(DOCBOOKTOMAN)
intro.8mandos.xhtml: intro.xml common.ent legalnotice.xml
	$(DOCBOOKTOHTML)

mandos.8: mandos.xml common.ent mandos-options.xml overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos.8.xhtml: mandos.xml common.ent mandos-options.xml \
		overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-keygen.8: mandos-keygen.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-keygen.8.xhtml: mandos-keygen.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-monitor.8: mandos-monitor.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-monitor.8.xhtml: mandos-monitor.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos-ctl.8: mandos-ctl.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos-ctl.8.xhtml: mandos-ctl.xml common.ent overview.xml \
		 legalnotice.xml
	$(DOCBOOKTOHTML)

mandos.conf.5: mandos.conf.xml common.ent mandos-options.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
mandos.conf.5.xhtml: mandos.conf.xml common.ent mandos-options.xml \
		legalnotice.xml
	$(DOCBOOKTOHTML)

plugin-runner.8mandos: plugin-runner.xml common.ent overview.xml \
		legalnotice.xml
	$(DOCBOOKTOMAN)
plugin-runner.8mandos.xhtml: plugin-runner.xml common.ent \
		overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

plugins.d/mandos-client.8mandos: plugins.d/mandos-client.xml \
					common.ent \
					mandos-options.xml \
					overview.xml legalnotice.xml
	$(DOCBOOKTOMAN)
plugins.d/mandos-client.8mandos.xhtml: plugins.d/mandos-client.xml \
					common.ent \
					mandos-options.xml \
					overview.xml legalnotice.xml
	$(DOCBOOKTOHTML)

# Update all these files with version number $(version)
common.ent: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(<!ENTITY version "\)[^"]*">$$/\1$(version)">/' \
		$@)

mandos: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-keygen: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(VERSION="\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-ctl: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos-monitor: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
		$@)

mandos.lsm: Makefile
	$(strip $(SED) --in-place \
		--expression='s/^\(Version:\).*/\1\t$(version)/' \
		$@)
	$(strip $(SED) --in-place \
		--expression='s/^\(Entered-date:\).*/\1\t$(shell date --rfc-3339=date --reference=Makefile)/' \
		$@)
	$(strip $(SED) --in-place \
		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
		$@)

plugins.d/mandos-client: plugins.d/mandos-client.c
	$(LINK.c) $^ -lrt $(GNUTLS_LIBS) $(AVAHI_LIBS) $(strip\
		) $(GPGME_LIBS) $(LOADLIBES) $(LDLIBS) -o $@

.PHONY : all doc html clean distclean run-client run-server install \
	install-server install-client uninstall uninstall-server \
	uninstall-client purge purge-server purge-client

clean:
	-rm --force $(CPROGS) $(objects) $(htmldocs) $(DOCS) core

distclean: clean
mostlyclean: clean
maintainer-clean: clean
	-rm --force --recursive keydir confdir statedir

check:	all
	./mandos --check

# Run the client with a local config and key
run-client: all keydir/seckey.txt keydir/pubkey.txt
	@echo "###################################################################"
	@echo "# The following error messages are harmless and can be safely     #"
	@echo "# ignored.  The messages are caused by not running as root, but   #"
	@echo "# you should NOT run \"make run-client\" as root unless you also    #"
	@echo "# unpacked and compiled Mandos as root, which is NOT recommended. #"
	@echo "# From plugin-runner: setuid: Operation not permitted             #"
	@echo "# From askpass-fifo:  mkfifo: Permission denied                   #"
	@echo "# From mandos-client: setuid: Operation not permitted             #"
	@echo "#                     seteuid: Operation not permitted            #"
	@echo "#                     klogctl: Operation not permitted            #"
	@echo "###################################################################"
	./plugin-runner --plugin-dir=plugins.d \
		--config-file=plugin-runner.conf \
		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--network-hook-dir=network-hooks.d \
		$(CLIENTARGS)

# Used by run-client
keydir/seckey.txt keydir/pubkey.txt: mandos-keygen
	install --directory keydir
	./mandos-keygen --dir keydir --force

# Run the server with a local config
run-server: confdir/mandos.conf confdir/clients.conf
	./mandos --debug --no-dbus --configdir=confdir \
		--statedir=statedir $(SERVERARGS)

# Used by run-server
confdir/mandos.conf: mandos.conf
	install --directory confdir
	install --mode=u=rw,go=r $^ $@
confdir/clients.conf: clients.conf keydir/seckey.txt
	install --directory confdir
	install --mode=u=rw $< $@
# Add a client password
	./mandos-keygen --dir keydir --password >> $@
statedir:
	install --directory statedir

install: install-server install-client-nokey

install-html: html
	install --directory $(htmldir)
	install --mode=u=rw,go=r --target-directory=$(htmldir) \
		$(htmldocs)

install-server: doc
	install --directory $(CONFDIR)
	install --directory --mode=u=rwx --owner=$(USER) \
		--group=$(GROUP) $(STATEDIR)
	install --mode=u=rwx,go=rx mandos $(PREFIX)/sbin/mandos
	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
		mandos-ctl
	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
		mandos-monitor
	install --mode=u=rw,go=r --target-directory=$(CONFDIR) \
		mandos.conf
	install --mode=u=rw --target-directory=$(CONFDIR) \
		clients.conf
	install --mode=u=rw,go=r dbus-mandos.conf \
		$(DESTDIR)/etc/dbus-1/system.d/mandos.conf
	install --mode=u=rwx,go=rx init.d-mandos \
		$(DESTDIR)/etc/init.d/mandos
	install --mode=u=rw,go=r default-mandos \
		$(DESTDIR)/etc/default/mandos
	if [ -z $(DESTDIR) ]; then \
		update-rc.d mandos defaults 25 15;\
	fi
	gzip --best --to-stdout mandos.8 \
		> $(MANDIR)/man8/mandos.8.gz
	gzip --best --to-stdout mandos-monitor.8 \
		> $(MANDIR)/man8/mandos-monitor.8.gz
	gzip --best --to-stdout mandos-ctl.8 \
		> $(MANDIR)/man8/mandos-ctl.8.gz
	gzip --best --to-stdout mandos.conf.5 \
		> $(MANDIR)/man5/mandos.conf.5.gz
	gzip --best --to-stdout mandos-clients.conf.5 \
		> $(MANDIR)/man5/mandos-clients.conf.5.gz
	gzip --best --to-stdout intro.8mandos \
		> $(MANDIR)/man8/intro.8mandos.gz

install-client-nokey: all doc
	install --directory $(PREFIX)/lib/mandos $(CONFDIR)
	install --directory --mode=u=rwx $(KEYDIR) \
		$(PREFIX)/lib/mandos/plugins.d
	if [ "$(CONFDIR)" != "$(PREFIX)/lib/mandos" ]; then \
		install --mode=u=rwx \
			--directory "$(CONFDIR)/plugins.d"; \
	fi
	install --mode=u=rwx,go=rx --directory \
		"$(CONFDIR)/network-hooks.d"
	install --mode=u=rwx,go=rx \
		--target-directory=$(PREFIX)/lib/mandos plugin-runner
	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
		mandos-keygen
	install --mode=u=rwx,go=rx \
		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
		plugins.d/password-prompt
	install --mode=u=rwxs,go=rx \
		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
		plugins.d/mandos-client
	install --mode=u=rwxs,go=rx \
		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
		plugins.d/usplash
	install --mode=u=rwxs,go=rx \

=== debian/changelog ===
mandos (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 15 Jan 2012 22:05:54 +0100

mandos (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 08 Jan 2012 11:17:20 +0100

mandos (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 01 Jan 2012 21:53:31 +0100

mandos (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (mandos-client/Depends): Added "initramfs-tools".
  * debian/mandos-client.README.Debian: Corrected mail address and adjust
                                        wording.
  * debian/rules (binary-common): Exclude new nework-hooks.d directory
                                  from dh_fixperms.
  * debian/mandos-client.README.Debian: Document network hook facility.
  * debian/mandos-client.docs (network-hooks.d): Added.
  * debian/mandos.dirs (var/lib/mandos): Added.
  * debian/mandos.postinst: Fix ownership of /var/lib/mandos.
  * debian/control (mandos/Depends): Added "python-gnupginterface".

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 01 Jan 2012 05:58:11 +0100

mandos (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Added "man".
  * debian/control (Conflicts): Changed to "Breaks:".
  * debian/copyright: Updated format.
  * debian/mandos-client.postinst: Use "set -e" instead of "#!/bin/sh -e".
  * debian/mandos-client.postrm: - '' -
  * debian/mandos.postinst: - '' -
  * debian/mandos.prerm: Consistent magic.

 -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 15 Oct 2011 18:18:52 +0200

=== debian/control ===
Source: mandos
Section: admin
Priority: extra
Maintainer: Mandos Maintainers <mandos@recompile.se>
Uploaders: Teddy Hogeborn <teddy@recompile.se>,
	   Björn Påhlsson <belorn@recompile.se>
Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
	pkg-config, man
Standards-Version: 3.9.2
Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
Homepage: http://www.recompile.se/mandos
DM-Upload-Allowed: yes

Package: mandos
Architecture: all
Depends: ${misc:Depends}, python (>=2.6), python-gnutls, python-dbus,
	python-avahi, python-gobject, avahi-daemon, adduser,
	python-urwid, python (>=2.7) | python-argparse,
	python-gnupginterface
Recommends: fping
Description: server giving encrypted passwords to Mandos clients
 This is the server part of the Mandos system, which allows
 computers to have encrypted root file systems and at the
 same time be capable of remote and/or unattended reboots.
 .
 The computers run a small client program in the initial RAM
 disk environment which will communicate with a server over a
 network.  All network communication is encrypted using TLS.
 The clients are identified by the server using an OpenPGP
 key; each client has one unique to it.  The server sends the
 clients an encrypted password.  The encrypted password is
 decrypted by the clients using the same OpenPGP key, and the
 password is then used to unlock the root file system,
 whereupon the computers can continue booting normally.

Package: mandos-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
	gnupg (<< 2), initramfs-tools
Breaks: dropbear (<= 0.53.1-1)
Enhances: cryptsetup
Description: do unattended reboots with an encrypted root file system
 This is the client part of the Mandos system, which allows
 computers to have encrypted root file systems and at the
 same time be capable of remote and/or unattended reboots.
 .
 The computers run a small client program in the initial RAM
 disk environment which will communicate with a server over a
 network.  All network communication is encrypted using TLS.
 The clients are identified by the server using an OpenPGP
 key; each client has one unique to it.  The server sends the
 clients an encrypted password.  The encrypted password is
 decrypted by the clients using the same OpenPGP key, and the
 password is then used to unlock the root file system,
 whereupon the computers can continue booting normally.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# -pie was broken briefly on the mips and mipsel architectures, see
# <http://bugs.debian.org/526961>
BINUTILS_V := $(shell dpkg-query --showformat='$${Version}' \
			--show binutils)
ifeq (yes,$(shell dpkg --compare-versions $(BINUTILS_V) lt 2.20-3 \
		&& dpkg --compare-versions $(BINUTILS_V) ge 2.19.1-1 \
		&& echo yes))
  ifneq (,$(strip $(findstring :$(DEB_HOST_ARCH):,:mips:mipsel:) \
		$(findstring :$(DEB_BUILD_ARCH):,:mips:mipsel:)))
    BROKEN_PIE := yes
    export BROKEN_PIE
  endif
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_auto_build -- all doc
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_auto_build -- doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	dh_auto_clean
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs --indep
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos install-server
	dh_lintian
	dh_installinit --onlyscripts \
		--update-rcd-params="defaults 25 15"
	dh_install --indep

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs --same-arch
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos-client install-client-nokey
	dh_lintian
	dh_install --same-arch

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude etc/keys/mandos \
		--exclude etc/mandos/clients.conf \
		--exclude etc/mandos/plugins.d \
		--exclude usr/lib/mandos/plugins.d \
		--exclude usr/share/doc/mandos-client/network-hooks.d
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=--indep binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=--same-arch binary-common

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary install \
		install-indep install-arch configure

## mandos 1.5.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.5.3
+version=1.5.4
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -264,7 +264,7 @@
 	./mandos-keygen --dir keydir --force
 
 # Run the server with a local config
-run-server: confdir/mandos.conf confdir/clients.conf
+run-server: confdir/mandos.conf confdir/clients.conf statedir
 	./mandos --debug --no-dbus --configdir=confdir \
 		--statedir=statedir $(SERVERARGS)

=== debian/changelog ===
mandos (1.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 20 May 2012 15:38:34 +0200

mandos (1.5.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Set Architecture to linux-any.  (Closes: #647670)

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 16:22:01 +0200

mandos (1.5.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "mandos FTBFS on buildds": add build-dependency on locales-all and
    pass LC_ALL to dh_auto_build to make sure we have and use the en_US.UTF-8
    locale for manpage creation.
    (Closes: #656178)

 -- gregor herrmann <gregoa@debian.org>  Tue, 31 Jan 2012 17:56:05 +0100

## mandos 1.5.5

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.5.4
+version=1.5.5
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -71,8 +71,10 @@
 	 /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 	$(notdir $<); \
 	$(MANPOST) $(notdir $@);\
-	LANG=en_US.UTF-8 MANWIDTH=80 man --warnings --encoding=UTF-8 \
-	--local-file $(notdir $@) >/dev/null)
+	if locale --all | grep --regexp='^en_US\.utf8$$' && type man \
+	2>/dev/null; then LANG=en_US.UTF-8 MANWIDTH=80 man \
+	--warnings --encoding=UTF-8 --local-file $(notdir $@); fi \
+	>/dev/null)
 # DocBook-to-man post-processing to fix a '\n' escape bug
 MANPOST=$(SED) --in-place --expression='s,\\\\en,\\en,g;s,\\n,\\en,g'
 
@@ -343,6 +345,3 @@
 		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
 		plugins.d/mandos-client
 	install --mode=u=rwxs,go=rx \
-		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
-		plugins.d/usplash
-	install --mode=u=rwxs,go=rx \

=== debian/changelog ===
mandos (1.5.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright (Format): Updated to
    "http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/".
  * debian/control (Build-Depends): Removed "man, locales-all".

 -- Teddy Hogeborn <teddy@recompile.se>  Fri, 01 Jun 2012 20:30:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,12 +38,12 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp
-	dh_auto_build -- all doc
+	LC_ALL=en_US.utf8 dh_auto_build -- all doc
 	touch $@
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
-	dh_auto_build -- doc
+	LC_ALL=en_US.UTF-8 dh_auto_build -- doc
 	touch $@
 
 clean:

## mandos 1.6.0

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.5.5
+version=1.6.0
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -68,13 +68,13 @@
 	--param make.single.year.ranges		1 \
 	--param man.output.quietly		1 \
 	--param man.authors.section.enabled	0 \
-	 /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
+	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 	$(notdir $<); \
 	$(MANPOST) $(notdir $@);\
-	if locale --all | grep --regexp='^en_US\.utf8$$' && type man \
-	2>/dev/null; then LANG=en_US.UTF-8 MANWIDTH=80 man \
-	--warnings --encoding=UTF-8 --local-file $(notdir $@); fi \
-	>/dev/null)
+	if locale --all 2>/dev/null | grep --regexp='^en_US\.utf8$$' \
+	&& type man 2>/dev/null; then LANG=en_US.UTF-8 MANWIDTH=80 \
+	man --warnings --encoding=UTF-8 --local-file $(notdir $@); \
+	fi >/dev/null)
 # DocBook-to-man post-processing to fix a '\n' escape bug
 MANPOST=$(SED) --in-place --expression='s,\\\\en,\\en,g;s,\\n,\\en,g'

=== debian/changelog ===
mandos (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright (Copyright): Join the two lines to a single line.
  * debian/mandos-client.README.Debian: Update to refer to the new
    location of the example network hooks, and the new feature of using
    all network interfaces.
  * debian/mandos-client.docs (network-hooks.d): Removed.
  * debian/mandos-client.examples (network-hooks.d): New.
  * debian/rules (binary-common): Added "dh_installexamples".
    (binary-common/dh_fixperms): Exclude new location of
    "network-hooks.d".

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 18 Jun 2012 00:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	pkg-config, man
-Standards-Version: 3.9.2
+	pkg-config
+Standards-Version: 3.9.3
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos
@@ -36,7 +36,7 @@
  whereupon the computers can continue booting normally.
 
 Package: mandos-client
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
 	gnupg (<< 2), initramfs-tools
 Breaks: dropbear (<= 0.53.1-1)

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_installexamples
 	dh_link
 	dh_strip
 	dh_compress
@@ -86,7 +87,7 @@
 		--exclude etc/mandos/clients.conf \
 		--exclude etc/mandos/plugins.d \
 		--exclude usr/lib/mandos/plugins.d \
-		--exclude usr/share/doc/mandos-client/network-hooks.d
+		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
version=3
ftp://ftp.recompile.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)

## mandos 1.6.8

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-WARN=-O -Wall -Wformat=2 -Winit-self -Wmissing-include-dirs \
-	-Wswitch-default -Wswitch-enum -Wunused-parameter \
-	-Wstrict-aliasing=1 -Wextra -Wfloat-equal -Wundef -Wshadow \
+WARN=-O -Wall -Wextra -Wdouble-promotion -Wformat=2 -Winit-self \
+	-Wmissing-include-dirs -Wswitch-default -Wswitch-enum \
+	-Wunused -Wuninitialized -Wstrict-overflow=5 \
+	-Wsuggest-attribute=pure -Wsuggest-attribute=const \
+	-Wsuggest-attribute=noreturn -Wfloat-equal -Wundef -Wshadow \
 	-Wunsafe-loop-optimizations -Wpointer-arith \
 	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
-	-Wconversion -Wstrict-prototypes -Wold-style-definition \
-	-Wpacked -Wnested-externs -Winline -Wvolatile-register-var
-#	-Wunreachable-code
+	-Wconversion -Wlogical-op -Waggregate-return \
+	-Wstrict-prototypes -Wold-style-definition \
+	-Wmissing-format-attribute -Wnormalized=nfc -Wpacked \
+	-Wredundant-decls -Wnested-externs -Winline -Wvla \
+	-Wvolatile-register-var -Woverlength-strings
 #DEBUG=-ggdb3
-# For info about _FORTIFY_SOURCE, see
-# <http://www.kernel.org/doc/man-pages/online/pages/man7/feature_test_macros.7.html>
+# For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
 FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
 LINK_FORTIFY_LD=-z relro -z now
@@ -20,10 +23,10 @@
 LINK_FORTIFY += -pie
 endif
 #COVERAGE=--coverage
-OPTIMIZE=-Os
+OPTIMIZE=-Os -fno-strict-aliasing
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.6.0
+version=1.6.8
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -36,6 +39,7 @@
 # MANDIR=$(PREFIX)/man
 # INITRAMFSTOOLS=$(DESTDIR)/etc/initramfs-tools
 # STATEDIR=$(DESTDIR)/var/lib/mandos
+# LIBDIR=$(PREFIX)/lib
 ##
 
 ## These settings are for a package-type install
@@ -45,7 +49,18 @@
 MANDIR=$(PREFIX)/share/man
 INITRAMFSTOOLS=$(DESTDIR)/usr/share/initramfs-tools
 STATEDIR=$(DESTDIR)/var/lib/mandos
+LIBDIR=$(shell \
+	for d in \
+	"/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null`" \
+	"`rpm --eval='%{_libdir}' 2>/dev/null`" /usr/lib; do \
+		if [ -d "$$d" -a "$$d" = "$${d%/}" ]; then \
+			echo "$(DESTDIR)$$d"; \
+			break; \
+		fi; \
+	done)
 ##
+
+SYSTEMD=$(DESTDIR)$(shell pkg-config systemd --variable=systemdsystemunitdir)
 
 GNUTLS_CFLAGS=$(shell pkg-config --cflags-only-I gnutls)
 GNUTLS_LIBS=$(shell pkg-config --libs gnutls)
@@ -56,10 +71,10 @@
 	getconf LFS_LDFLAGS)
 
 # Do not change these two
-CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
+CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \
@@ -70,13 +85,10 @@
 	--param man.authors.section.enabled	0 \
 	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 	$(notdir $<); \
-	$(MANPOST) $(notdir $@);\
 	if locale --all 2>/dev/null | grep --regexp='^en_US\.utf8$$' \
 	&& type man 2>/dev/null; then LANG=en_US.UTF-8 MANWIDTH=80 \
 	man --warnings --encoding=UTF-8 --local-file $(notdir $@); \
 	fi >/dev/null)
-# DocBook-to-man post-processing to fix a '\n' escape bug
-MANPOST=$(SED) --in-place --expression='s,\\\\en,\\en,g;s,\\n,\\en,g'
 
 DOCBOOKTOHTML=$(strip xsltproc --nonet --xinclude \
 	--param make.year.ranges		1 \
@@ -227,9 +239,11 @@
 	$(LINK.c) $^ -lrt $(GNUTLS_LIBS) $(AVAHI_LIBS) $(strip\
 		) $(GPGME_LIBS) $(LOADLIBES) $(LDLIBS) -o $@
 
-.PHONY : all doc html clean distclean run-client run-server install \
-	install-server install-client uninstall uninstall-server \
-	uninstall-client purge purge-server purge-client
+.PHONY : all doc html clean distclean mostlyclean maintainer-clean \
+	check run-client run-server install install-html \
+	install-server install-client-nokey install-client uninstall \
+	uninstall-server uninstall-client purge purge-server \
+	purge-client
 
 clean:
 	-rm --force $(CPROGS) $(objects) $(htmldocs) $(DOCS) core
@@ -241,6 +255,7 @@
 
 check:	all
 	./mandos --check
+	./mandos-ctl --check
 
 # Run the client with a local config and key
 run-client: all keydir/seckey.txt keydir/pubkey.txt
@@ -249,15 +264,18 @@
 	@echo "# ignored.  The messages are caused by not running as root, but   #"
 	@echo "# you should NOT run \"make run-client\" as root unless you also    #"
 	@echo "# unpacked and compiled Mandos as root, which is NOT recommended. #"
-	@echo "# From plugin-runner: setuid: Operation not permitted             #"
+	@echo "# From plugin-runner: setgid: Operation not permitted             #"
+	@echo "#                     setuid: Operation not permitted             #"
 	@echo "# From askpass-fifo:  mkfifo: Permission denied                   #"
-	@echo "# From mandos-client: setuid: Operation not permitted             #"
-	@echo "#                     seteuid: Operation not permitted            #"
-	@echo "#                     klogctl: Operation not permitted            #"
+	@echo "# From mandos-client:                                             #"
+	@echo "#             Failed to raise privileges: Operation not permitted #"
+	@echo "#             Warning: network hook \"*\" exited with status *      #"
 	@echo "###################################################################"
+# We set GNOME_KEYRING_CONTROL to block pam_gnome_keyring
 	./plugin-runner --plugin-dir=plugins.d \
 		--config-file=plugin-runner.conf \
 		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--network-hook-dir=network-hooks.d \
+		--env-for=mandos-client:GNOME_KEYRING_CONTROL= \
 		$(CLIENTARGS)
 
 # Used by run-client
@@ -278,7 +296,7 @@
 	install --directory confdir
 	install --mode=u=rw $< $@
 # Add a client password
-	./mandos-keygen --dir keydir --password >> $@
+	./mandos-keygen --dir keydir --password --no-ssh >> $@
 statedir:
 	install --directory statedir
 
@@ -291,8 +309,12 @@
 
 install-server: doc
 	install --directory $(CONFDIR)
-	install --directory --mode=u=rwx --owner=$(USER) \
-		--group=$(GROUP) $(STATEDIR)
+	if install --directory --mode=u=rwx --owner=$(USER) \
+		--group=$(GROUP) $(STATEDIR); then \
+		:; \
+	elif install --directory --mode=u=rwx $(STATEDIR); then \
+		chown -- $(USER):$(GROUP) $(STATEDIR) || :; \
+	fi
 	install --mode=u=rwx,go=rx mandos $(PREFIX)/sbin/mandos
 	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
 		mandos-ctl
@@ -306,6 +328,9 @@
 		$(DESTDIR)/etc/dbus-1/system.d/mandos.conf
 	install --mode=u=rwx,go=rx init.d-mandos \
 		$(DESTDIR)/etc/init.d/mandos
+	if [ "$(SYSTEMD)" != "$(DESTDIR)" -a -d "$(SYSTEMD)" ]; then \
+		install --mode=u=rw,go=r mandos.service $(SYSTEMD); \
+	fi
 	install --mode=u=rw,go=r default-mandos \
 		$(DESTDIR)/etc/default/mandos
 	if [ -z $(DESTDIR) ]; then \
@@ -320,28 +345,3 @@
 	gzip --best --to-stdout mandos.conf.5 \
 		> $(MANDIR)/man5/mandos.conf.5.gz
 	gzip --best --to-stdout mandos-clients.conf.5 \
-		> $(MANDIR)/man5/mandos-clients.conf.5.gz
-	gzip --best --to-stdout intro.8mandos \
-		> $(MANDIR)/man8/intro.8mandos.gz
-
-install-client-nokey: all doc
-	install --directory $(PREFIX)/lib/mandos $(CONFDIR)
-	install --directory --mode=u=rwx $(KEYDIR) \
-		$(PREFIX)/lib/mandos/plugins.d
-	if [ "$(CONFDIR)" != "$(PREFIX)/lib/mandos" ]; then \
-		install --mode=u=rwx \
-			--directory "$(CONFDIR)/plugins.d"; \
-	fi
-	install --mode=u=rwx,go=rx --directory \
-		"$(CONFDIR)/network-hooks.d"
-	install --mode=u=rwx,go=rx \
-		--target-directory=$(PREFIX)/lib/mandos plugin-runner
-	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
-		mandos-keygen
-	install --mode=u=rwx,go=rx \
-		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
-		plugins.d/password-prompt
-	install --mode=u=rwxs,go=rx \
-		--target-directory=$(PREFIX)/lib/mandos/plugins.d \
-		plugins.d/mandos-client
-	install --mode=u=rwxs,go=rx \

=== debian/changelog ===
mandos (1.6.8-1build1) utopic; urgency=high

  * No change rebuild against gnutls28.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Aug 2014 23:09:35 +0100

mandos (1.6.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Source: mandos/Build-Depends-Indep): Since upstream
    now requires Python 2.7, depend on exactly the python2.7 package and
    all the Python 2.7 versions of the python modules.
    (Package: mandos/Depends): - '' - but still depend on python (>=2.7)
    and the generic versions of the Python modules; this is for mandos-ctl
    and mandos-monitor, both of which are compatible with Python 3, and
    use #!/usr/bin/python.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 06 Aug 2014 22:55:24 +0200

mandos (1.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 17 Jul 2014 05:22:45 +0200

mandos (1.6.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/mandos.postinst: Fix typo in comment.
  * debian/control (mandos/Recommends): Changed to "ssh-client | fping".
    (mandos-client/Recommends): New; set to "ssh".

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 13 Jul 2014 22:49:21 +0200

mandos (1.6.5-3) unstable; urgency=medium

  * debian/control (mandos-client/Depends): Add "dpkg-dev (>=1.16.0)";
    initramfs-tools-hook runs "dpkg-architecture -qDEB_HOST_MULTIARCH".
    (Closes: #750221)

 -- Teddy Hogeborn <teddy@recompile.se>  Fri, 06 Jun 2014 04:27:15 +0200

mandos (1.6.5-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_test-arch): New; does nothing.  Fixes
    FTBFS for build-indep.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 13 May 2014 08:08:31 +0200

mandos (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Change year to "2014".
  * debian/control (Build-Depends, Build-Depends-Indep): Moved build
    dependencies of "mandos" package to "Build-Depends-Indep".
  * debian/upstream/signing-key.asc: New; upstream source public key.
  * debian/control (Standards-Version): Updated to "3.9.5".
  * debian/control (mandos/Depends): Remove the dependency on
    "avahi-daemon (>= 0.6.31-3) | systemd-sysv".  It is unnecessary
    since we have a workaround in debian/mandos.postinst anyway.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 11 May 2014 22:16:33 +0200

mandos (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Add Python dependencies to
                                    successfully run self-tests.
  * debian/copyright: GPLv3 now has its own license file - use it.
  * debian/watch: Set PGP signature URL.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 16 Feb 2014 14:09:25 +0100

mandos (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Added "systemd".
  * debian/mandos.dirs (lib/systemd/system): New.
  * debian/mandos-client.README.Debian: Refer to architecture libdir.
  * debian/control (mandos/Depends): Add "avahi-daemon (>= 0.6.31-3) |
                                     systemd-sysv".
  * debian/mandos.postinst: If avahi-daemon is version 0.6.31-2 or older,
                            edit /etc/init.d script headers Required-Start
                            and Required-Stop to have "avahi" instead of
                            "avahi-daemon", before insserv(8) sees it.
  * debian/mandos-client.lintian-overrides: Libdir changes.
  * debian/rules (override_dh_fixperms): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 21 Jan 2014 22:01:30 +0100

mandos (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Changed to "9".
  * debian/control (Build-Depends): Changed debhelper version to (>= 9).
    (Standards-Version): Updated to "3.9.4".
    (DM-Upload-Allowed): Removed.
    (mandos/Depends): Add "initscripts (>= 2.88dsf-13.3)" to be able to
                      use the "/run" directory (for mandos.pid).
  * debian/copyright (Copyright): Update year.
  * Fix "Mandos/gnutls fails to establish connection, "an algorithm that
    is not enabled was negotiated"" fixed by upstream. (Closes: #702120)

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 24 Oct 2013 22:33:40 +0200

mandos (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control (mandos/Depends): No longer depends on
                                     python-gnupginterface, but does
                                     depend on gnupg (<< 2).
    (Build-Depends): Depend on debhelper 8.9.7 for using "override-*-arch"
                     and "override-*-indep" targets in debian/rules.
  * debian/mandos-client.README: Update Linux documentation link.
  * debian/rules: Completely rewritten to use debhelper v7.
  * initramfs-tools-hook: Bug fix: Make sure the right version of GnuPG is
    copied into the initramfs image.  Always assume that GPGME is used to
    avoid searching for it since the path might not be /usr/lib.  Thanks
    to Félix Sipma <felix+debian@gueux.org> for the initial bug report,
    and also thanks to Dick Middleton <dick@lingbrae.com> for some more
    debugging. (Closes:  #721903)
  * Fix "bashism in /bin/sh script" fixed by upstream. (Closes: #690639)

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 13 Oct 2013 19:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
+Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.3
+Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
+	python2.7-dbus, python2.7-avahi, python2.7-gobject
+Standards-Version: 3.9.5
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos
-DM-Upload-Allowed: yes
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python (>=2.6), python-gnutls, python-dbus,
-	python-avahi, python-gobject, avahi-daemon, adduser,
-	python-urwid, python (>=2.7) | python-argparse,
-	python-gnupginterface
-Recommends: fping
+Depends: ${misc:Depends}, python (>= 2.7), python2.7, python-gnutls,
+	python2.7-gnutls, python-dbus, python2.7-dbus, python-avahi,
+	python2.7-avahi, python-gobject, python2.7-gobject,
+	avahi-daemon, adduser, python-urwid, python2.7-urwid,
+	gnupg (<< 2), initscripts (>= 2.88dsf-13.3)
+Recommends: ssh-client | fping
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
@@ -38,7 +40,8 @@
 Package: mandos-client
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
-	gnupg (<< 2), initramfs-tools
+	gnupg (<< 2), initramfs-tools, dpkg-dev (>=1.16.0)
+Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)
 Enhances: cryptsetup
 Description: do unattended reboots with an encrypted root file system

## mandos 1.6.9

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 OPTIMIZE=-Os -fno-strict-aliasing
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.6.8
+version=1.6.9
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))

=== debian/changelog ===
mandos (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Fix "still uses GnutLS 2.x" by
    changing from "libgnutls-dev" to "libgnutls28-dev | gnutls-dev"
    (Closes: #762349)

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 05 Oct 2014 22:05:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	pkg-config
+	libavahi-core-dev, libgpgme11-dev, libgnutls28-dev
+	| gnutls-dev, xsltproc, pkg-config
 Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
 	python2.7-dbus, python2.7-avahi, python2.7-gobject
 Standards-Version: 3.9.5

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build-arch:
	LC_ALL=en_US.utf8 dh_auto_build -- all doc

override_dh_auto_build-indep:
	LC_ALL=en_US.utf8 dh_auto_build -- doc

override_dh_installinit-indep:
	dh_installinit --onlyscripts \
		--update-rcd-params="defaults 25 15"

override_dh_auto_install-indep:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos install-server

override_dh_auto_install-arch:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos-client \
		install-client-nokey

override_dh_fixperms:
	dh_fixperms --exclude etc/keys/mandos \
		--exclude etc/mandos/clients.conf \
		--exclude etc/mandos/plugins.d \
		--exclude usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)/mandos/plugins.d \
		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
	chmod --recursive g-w -- \
	"$(CURDIR)/debian/mandos-client/usr/share/doc/mandos-client/examples/network-hooks.d"

override_dh_auto_test-arch: ;

## mandos 1.7.0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 endif
 #COVERAGE=--coverage
 OPTIMIZE=-Os -fno-strict-aliasing
-LANGUAGE=-std=gnu99
+LANGUAGE=-std=gnu11
 htmldir=man
-version=1.6.9
+version=1.7.0
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -69,6 +69,8 @@
 GPGME_CFLAGS=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
 GPGME_LIBS=$(shell gpgme-config --libs; getconf LFS_LIBS; \
 	getconf LFS_LDFLAGS)
+LIBNL3_CFLAGS=$(shell pkg-config --cflags-only-I libnl-route-3.0)
+LIBNL3_LIBS=$(shell pkg-config --libs libnl-route-3.0)
 
 # Do not change these two
 CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
@@ -106,7 +108,8 @@
 PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo \
 	plugins.d/plymouth
-CPROGS=plugin-runner $(PLUGINS)
+PLUGIN_HELPERS=plugin-helpers/mandos-client-iprouteadddel
+CPROGS=plugin-runner $(PLUGINS) $(PLUGIN_HELPERS)
 PROGS=mandos mandos-keygen mandos-ctl mandos-monitor $(CPROGS)
 DOCS=mandos.8 mandos-keygen.8 mandos-monitor.8 mandos-ctl.8 \
 	mandos.conf.5 mandos-clients.conf.5 plugin-runner.8mandos \
@@ -238,6 +241,10 @@
 plugins.d/mandos-client: plugins.d/mandos-client.c
 	$(LINK.c) $^ -lrt $(GNUTLS_LIBS) $(AVAHI_LIBS) $(strip\
 		) $(GPGME_LIBS) $(LOADLIBES) $(LDLIBS) -o $@
+
+plugin-helpers/mandos-client-iprouteadddel: plugin-helpers/mandos-client-iprouteadddel.c
+	$(LINK.c) $(LIBNL3_CFLAGS) $^ $(LIBNL3_LIBS) $(strip\
+		) $(LOADLIBES) $(LDLIBS) -o $@
 
 .PHONY : all doc html clean distclean mostlyclean maintainer-clean \
 	check run-client run-server install install-html \
@@ -273,6 +280,7 @@
 	@echo "###################################################################"
 # We set GNOME_KEYRING_CONTROL to block pam_gnome_keyring
 	./plugin-runner --plugin-dir=plugins.d \
+		--plugin-helper-dir=plugin-helpers \
 		--config-file=plugin-runner.conf \
 		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--network-hook-dir=network-hooks.d \
 		--env-for=mandos-client:GNOME_KEYRING_CONTROL= \
@@ -333,15 +341,3 @@
 	fi
 	install --mode=u=rw,go=r default-mandos \
 		$(DESTDIR)/etc/default/mandos
-	if [ -z $(DESTDIR) ]; then \
-		update-rc.d mandos defaults 25 15;\
-	fi
-	gzip --best --to-stdout mandos.8 \
-		> $(MANDIR)/man8/mandos.8.gz
-	gzip --best --to-stdout mandos-monitor.8 \
-		> $(MANDIR)/man8/mandos-monitor.8.gz
-	gzip --best --to-stdout mandos-ctl.8 \
-		> $(MANDIR)/man8/mandos-ctl.8.gz
-	gzip --best --to-stdout mandos.conf.5 \
-		> $(MANDIR)/man5/mandos.conf.5.gz
-	gzip --best --to-stdout mandos-clients.conf.5 \

=== debian/changelog ===
mandos (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Standards-Version): Updated to "3.9.6".
    (Build-Depends): Add "libnl-route-3-dev".
    (Package: mandos-client/Recommends): Added "gnutls-bin | openssl" for
    the generating of DH parameters.
  * debian/mandos-client.README.Debian: Update example command line to use
    new MANDOSPLUGINHELPERDIR environment variable.  Also document the new
    dhparams.pem file.
  * debian/mandos-client.postinst: Create DH parameters file.
  * debian/mandos.prerm: Don't run init script, use only invoke-rc.d.
  * debian/mandos-client.postinst: Don't use absolute paths to commands.
  * debian/mandos-client.postrm: Don't use absolute paths to commands.
    Also remove dhparams.pem file.
  * debian/copyright (Copyright): Update copyright year.
  * Upstream changed systemd service file to implicitly be of
    "Type=dbus". (Closes: #786845)

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 10 Aug 2015 22:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls28-dev
-	| gnutls-dev, xsltproc, pkg-config
+	| gnutls-dev, xsltproc, pkg-config, libnl-route-3-dev
 Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
 	python2.7-dbus, python2.7-avahi, python2.7-gobject
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos
@@ -41,7 +41,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
 	gnupg (<< 2), initramfs-tools, dpkg-dev (>=1.16.0)
-Recommends: ssh
+Recommends: ssh, gnutls-bin | openssl
 Breaks: dropbear (<= 0.53.1-1)
 Enhances: cryptsetup
 Description: do unattended reboots with an encrypted root file system
